import { IronfishCommand } from '../command';
export default class Backup extends IronfishCommand {
    static hidden: boolean;
    static description: string;
    static flags: {
        verbose: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        datadir: import("@oclif/core/lib/interfaces").OptionFlag<string>;
        lock: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        chain: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        wallet: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        accessKeyId: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        secretAccessKey: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
    };
    static args: {
        name: string;
        required: boolean;
        description: string;
    }[];
    start(): Promise<void>;
    private getS3Client;
    private getCognitoIdentityCredentials;
}
//# sourceMappingURL=backup.d.ts.map