import { FullNode } from '@ironfish/sdk';
import { Meter } from '@ironfish/sdk';
import { IronfishCommand } from '../../command';
import { ProgressBar } from '../../types';
export default class RepairChain extends IronfishCommand {
    static description: string;
    static hidden: boolean;
    static flags: {
        confirm: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        force: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
    };
    start(): Promise<void>;
    repairChain(node: FullNode, speed: Meter, progress: ProgressBar): Promise<void>;
    repairTrees(node: FullNode, speed: Meter, progress: ProgressBar, force: boolean): Promise<void>;
}
//# sourceMappingURL=repair.d.ts.map