import { FullNode } from '@ironfish/sdk';
import { Command } from '@oclif/core';
import { IronfishCommand } from '../../command';
export default class Rewind extends IronfishCommand {
    static description: string;
    static args: {
        name: string;
        parse: (input: string) => Promise<string>;
        required: boolean;
        description: string;
    }[];
    static flags: {
        [x: string]: import("@oclif/core/lib/interfaces").OptionFlag<unknown> & {
            completion?: import("@oclif/core/lib/interfaces").Completion | undefined;
        };
    };
    start(): Promise<void>;
}
export declare const rewindChainTo: (command: Command, node: FullNode, to: number, from?: number) => Promise<void>;
//# sourceMappingURL=rewind.d.ts.map