import { FullNode } from '@ironfish/sdk';
import { IronfishCommand } from '../command';
export default class Debug extends IronfishCommand {
    static description: string;
    static hidden: boolean;
    static flags: {
        [x: string]: import("@oclif/core/lib/interfaces").OptionFlag<unknown> & {
            completion?: import("@oclif/core/lib/interfaces").Completion | undefined;
        };
    };
    start(): Promise<void>;
    baseOutput(node: FullNode): Map<string, string>;
    outputRequiringDB(node: FullNode): Promise<Map<string, string>>;
    display(output: Map<string, string>): void;
}
//# sourceMappingURL=debug.d.ts.map