import { MiningPool } from '@ironfish/sdk';
import { IronfishCommand } from '../../../command';
export declare class StartPool extends IronfishCommand {
    static description: string;
    static flags: {
        discord: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        lark: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        host: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        payouts: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        banning: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        tls: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
    };
    pool: MiningPool | null;
    start(): Promise<void>;
    closeFromSignal(): Promise<void>;
}
//# sourceMappingURL=start.d.ts.map