import { GetPeerMessagesResponse, GetPeerResponse } from '@ironfish/sdk';
import { IronfishCommand } from '../../command';
type GetPeerResponsePeer = NonNullable<GetPeerResponse['peer']>;
type GetPeerMessagesResponseMessages = GetPeerMessagesResponse['messages'][0];
export declare class ShowCommand extends IronfishCommand {
    static description: string;
    static args: {
        name: string;
        required: boolean;
        description: string;
    }[];
    static flags: {
        [x: string]: import("@oclif/core/lib/interfaces").OptionFlag<unknown> & {
            completion?: import("@oclif/core/lib/interfaces").Completion | undefined;
        };
    };
    start(): Promise<void>;
    renderPeer(peer: GetPeerResponsePeer): string;
    renderMessage(message: GetPeerMessagesResponseMessages): string;
}
export {};
//# sourceMappingURL=show.d.ts.map