"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@oclif/core");
const command_1 = require("../command");
const flags_1 = require("../flags");
class StopCommand extends command_1.IronfishCommand {
    constructor() {
        super(...arguments);
        this.node = null;
    }
    async start() {
        await this.parse(StopCommand);
        await this.sdk.client.connect();
        core_1.CliUx.ux.action.start('Asking node to shut down...');
        await this.sdk.client.node.stopNode();
        core_1.CliUx.ux.action.stop('done.');
    }
}
StopCommand.description = 'Stop the node from running';
StopCommand.flags = {
    ...flags_1.RemoteFlags,
};
exports.default = StopCommand;
//# sourceMappingURL=stop.js.map