import { GetBalanceResponse } from '@ironfish/sdk';
import { IronfishCommand } from '../../command';
export declare class BalanceCommand extends IronfishCommand {
    static description: string;
    static flags: {
        explain: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        all: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        confirmations: import("@oclif/core/lib/interfaces").OptionFlag<number | undefined>;
        assetId: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
    };
    static args: {
        name: string;
        required: boolean;
        description: string;
    }[];
    start(): Promise<void>;
    explainBalance(response: GetBalanceResponse, assetId: string): void;
}
//# sourceMappingURL=balance.d.ts.map