import { IronfishCommand } from '../../command';
export declare class ImportCommand extends IronfishCommand {
    static description: string;
    static flags: {
        rescan: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        path: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        name: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
    };
    static args: {
        name: string;
        parse: (input: string) => Promise<string>;
        required: boolean;
        description: string;
    }[];
    start(): Promise<void>;
    importFile(path: string): Promise<string>;
    importPipe(): Promise<string>;
    importTTY(): Promise<string>;
}
//# sourceMappingURL=import.d.ts.map