import { RawTransaction, RpcClient } from '@ironfish/sdk';
import { IronfishCommand } from '../../command';
export declare class PostCommand extends IronfishCommand {
    static summary: string;
    static description: string;
    static examples: string[];
    static flags: {
        account: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        confirm: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        broadcast: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
    };
    static args: {
        name: string;
        required: boolean;
        description: string;
    }[];
    start(): Promise<void>;
    confirm(client: Pick<RpcClient, 'wallet'>, raw: RawTransaction, account?: string): Promise<boolean>;
}
//# sourceMappingURL=post.d.ts.map