import { Interfaces } from '@oclif/core';
export interface ProgressBar {
    progress: () => void;
    getTotal(): number;
    setTotal(totalValue: number): void;
    start(totalValue?: number, startValue?: number, payload?: Record<string, unknown>): void;
    stop: () => void;
    update(currentValue?: number, payload?: Record<string, unknown>): void;
    update(payload?: Record<string, unknown>): void;
    increment(delta?: number, payload?: Record<string, unknown>): void;
    increment(payload?: Record<string, unknown>): void;
}
export type CommandFlags<T> = T extends Interfaces.Input<infer TFlags, infer GFlags> ? Interfaces.ParserOutput<TFlags, GFlags>['flags'] : never;
//# sourceMappingURL=types.d.ts.map