import { RpcBlockHeader } from '@ironfish/sdk';
export type GossipFork = {
    header: RpcBlockHeader;
    timestamp: number;
    ageSequence: number;
    age: number;
};
export declare class GossipForkCounter {
    private heads;
    private tickInterval;
    private delay;
    private active;
    private staleThreshold;
    constructor(targetBlockTimeInSeconds: number, options?: {
        delayMs?: number;
    });
    start(): void;
    stop(): void;
    private tick;
    get latest(): GossipFork | null;
    get count(): number;
    get forks(): ReadonlyArray<GossipFork>;
    add(header: RpcBlockHeader): void;
}
//# sourceMappingURL=gossipForkCounter.d.ts.map