import { table } from '@oclif/core/lib/cli-ux/styled/table';
export declare enum Format {
    cli = "cli",
    csv = "csv",
    json = "json",
    yaml = "yaml"
}
export declare const TableCols: {
    timestamp: <T extends Record<string, unknown>>(options?: {
        streaming?: boolean | undefined;
        header?: string | undefined;
        field?: string | undefined;
        get?: ((row: Record<string, unknown>) => string) | undefined;
        minWidth?: number | undefined;
    } | undefined) => Partial<table.Column<T>>;
    asset: <T_1 extends Record<string, unknown>>(options?: {
        extended?: boolean;
        format?: Format;
    }) => Partial<Record<string, table.Column<T_1>>>;
    fixedWidth: <T_2 extends Record<string, unknown>>(options: {
        width: number;
        get: (row: T_2) => string;
        header?: string | undefined;
        extended?: boolean | undefined;
    }) => Partial<table.Column<T_2>>;
};
//# sourceMappingURL=table.d.ts.map