"use strict";
/* This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at https://mozilla.org/MPL/2.0/. */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.linkText = void 0;
const supports_hyperlinks_1 = __importDefault(require("supports-hyperlinks"));
function linkText(url, text, stdout = true) {
    const supported = stdout ? supports_hyperlinks_1.default.stdout : supports_hyperlinks_1.default.stderr;
    if (!supported) {
        return url;
    }
    const OSC = '\u001B]';
    const BEL = '\u0007';
    const SEP = ';';
    return [OSC, '8', SEP, SEP, url, BEL, text, OSC, '8', SEP, SEP, BEL].join('');
}
exports.linkText = linkText;
//# sourceMappingURL=terminal.js.map