import { IronfishCommand } from '../../command';
export declare class TransactionsCommand extends IronfishCommand {
    static description: string;
    static flags: {
        show: import("@oclif/core/lib/interfaces").OptionFlag<number>;
        queryLimit: import("@oclif/core/lib/interfaces").OptionFlag<number | undefined>;
        feeRate: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        fee: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        expiration: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        position: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        expiresIn: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        serializedData: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        columns: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        filter: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        csv: import("@oclif/core/lib/interfaces").Flag<boolean>;
        output: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        extended: import("@oclif/core/lib/interfaces").Flag<boolean>;
        'no-truncate': import("@oclif/core/lib/interfaces").Flag<boolean>;
        'no-header': import("@oclif/core/lib/interfaces").Flag<boolean>;
    };
    start(): Promise<void>;
}
//# sourceMappingURL=transactions.d.ts.map