"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StatusCommand = void 0;
/* This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at https://mozilla.org/MPL/2.0/. */
const command_1 = require("../../command");
const flags_1 = require("../../flags");
class StatusCommand extends command_1.IronfishCommand {
    async start() {
        await this.parse(StatusCommand);
        const node = await this.sdk.node();
        await node.migrator.check();
    }
}
StatusCommand.description = `List all the migration statuses`;
StatusCommand.flags = {
    [flags_1.ConfigFlagKey]: flags_1.ConfigFlag,
    [flags_1.DataDirFlagKey]: flags_1.DataDirFlag,
};
exports.StatusCommand = StatusCommand;
//# sourceMappingURL=index.js.map