import { MiningPoolMiner, MiningSoloMiner, SetIntervalToken } from '@ironfish/sdk';
import { IronfishCommand } from '../../command';
export declare class Miner extends IronfishCommand {
    static description: string;
    updateInterval: SetIntervalToken | null;
    static flags: {
        threads: import("@oclif/core/lib/interfaces").OptionFlag<number>;
        pool: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        name: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        address: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        richOutput: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        tls: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
    };
    start(): Promise<void>;
    displayHashrate(miner: MiningPoolMiner | MiningSoloMiner): void;
}
//# sourceMappingURL=start.d.ts.map