import { IronfishCommand } from '../../command';
export declare class AddCommand extends IronfishCommand {
    static description: string;
    static args: {
        name: string;
        parse: (input: string) => Promise<{
            protocol: string | null;
            hostname: string | null;
            port: number | null;
        }>;
        required: boolean;
        description: string;
    }[];
    static flags: {
        [x: string]: import("@oclif/core/lib/interfaces").OptionFlag<unknown> & {
            completion?: import("@oclif/core/lib/interfaces").Completion | undefined;
        };
    };
    start(): Promise<void>;
}
//# sourceMappingURL=add.d.ts.map