import { IronfishCommand } from '../../command';
export declare class BalancesCommand extends IronfishCommand {
    static description: string;
    static flags: {
        all: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        confirmations: import("@oclif/core/lib/interfaces").OptionFlag<number | undefined>;
        columns: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        sort: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        filter: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        csv: import("@oclif/core/lib/interfaces").Flag<boolean>;
        output: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        extended: import("@oclif/core/lib/interfaces").Flag<boolean>;
        'no-truncate': import("@oclif/core/lib/interfaces").Flag<boolean>;
        'no-header': import("@oclif/core/lib/interfaces").Flag<boolean>;
    };
    static args: {
        name: string;
        required: boolean;
        description: string;
    }[];
    start(): Promise<void>;
}
//# sourceMappingURL=balances.d.ts.map