import { IronfishCommand } from '../../command';
export declare class Burn extends IronfishCommand {
    static description: string;
    static examples: string[];
    static flags: {
        account: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        fee: import("@oclif/core/lib/interfaces").OptionFlag<bigint | undefined>;
        feeRate: import("@oclif/core/lib/interfaces").OptionFlag<bigint | undefined>;
        amount: import("@oclif/core/lib/interfaces").OptionFlag<bigint | undefined>;
        assetId: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        confirm: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        confirmations: import("@oclif/core/lib/interfaces").OptionFlag<number | undefined>;
        rawTransaction: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        expiration: import("@oclif/core/lib/interfaces").OptionFlag<number | undefined>;
        offline: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        watch: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
    };
    start(): Promise<void>;
    confirm(assetId: string, amount: bigint, fee: bigint, account: string): Promise<boolean>;
}
//# sourceMappingURL=burn.d.ts.map