import { IronfishCommand } from '../../command';
export declare class ExportCommand extends IronfishCommand {
    static description: string;
    static flags: {
        color: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        local: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        mnemonic: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        language: import("@oclif/core/lib/interfaces").OptionFlag<"English" | "ChineseSimplified" | "ChineseTraditional" | "French" | "Italian" | "Japanese" | "Korean" | "Spanish" | undefined>;
        json: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        path: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        viewonly: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
    };
    static args: {
        name: string;
        required: boolean;
        description: string;
    }[];
    start(): Promise<void>;
}
//# sourceMappingURL=export.d.ts.map