import { IronfishCommand } from '../../command';
export declare class Send extends IronfishCommand {
    static description: string;
    static examples: string[];
    static flags: {
        account: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        amount: import("@oclif/core/lib/interfaces").OptionFlag<bigint | undefined>;
        to: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        fee: import("@oclif/core/lib/interfaces").OptionFlag<bigint | undefined>;
        feeRate: import("@oclif/core/lib/interfaces").OptionFlag<bigint | undefined>;
        memo: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        confirm: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        watch: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        expiration: import("@oclif/core/lib/interfaces").OptionFlag<number | undefined>;
        confirmations: import("@oclif/core/lib/interfaces").OptionFlag<number | undefined>;
        assetId: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        rawTransaction: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        offline: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        note: import("@oclif/core/lib/interfaces").OptionFlag<string[] | undefined>;
    };
    start(): Promise<void>;
}
//# sourceMappingURL=send.d.ts.map