import * as yup from 'yup';
export type CeremonyServerMessage = {
    method: 'joined';
    queueLocation: number;
    estimate: number;
} | {
    method: 'initiate-contribution';
    downloadLink: string;
    contributionNumber: number;
} | {
    method: 'initiate-upload';
    uploadLink: string;
} | {
    method: 'contribution-verified';
    hash: string;
    downloadLink: string;
    contributionNumber: number;
} | {
    method: 'disconnect';
    error: string;
};
export type CeremonyClientMessage = {
    method: 'contribution-complete' | 'upload-complete' | 'join';
    name?: string;
    token?: string;
};
export declare const CeremonyClientMessageSchema: yup.ObjectSchema<CeremonyClientMessage>;
//# sourceMappingURL=schema.d.ts.map