import { AssetVerification, RpcAsset, RpcClient } from '@ironfish/sdk';
type RenderAssetNameOptions = {
    verification?: AssetVerification;
    outputType?: string;
    verbose?: boolean;
    logWarn?: (msg: string) => void;
};
export declare function renderAssetName(name: string, options?: RenderAssetNameOptions): string;
export declare function renderAssetNameFromHex(hexName: string, options?: RenderAssetNameOptions): string;
export declare function compareAssets(leftName: string, leftVerification: AssetVerification, rightName: string, rightVerification: AssetVerification): number;
export declare function selectAsset(client: Pick<RpcClient, 'wallet'>, account: string | undefined, options: {
    action: string;
    showNativeAsset: boolean;
    showNonCreatorAsset: boolean;
    showSingleAssetChoice: boolean;
    confirmations?: number;
}): Promise<{
    id: string;
    name: string;
} | undefined>;
export declare function getAssetsByIDs(client: Pick<RpcClient, 'wallet'>, assetIds: string[], account: string | undefined, confirmations: number | undefined): Promise<{
    [key: string]: RpcAsset;
}>;
export {};
//# sourceMappingURL=asset.d.ts.map