"use strict";
/* This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at https://mozilla.org/MPL/2.0/. */
Object.defineProperty(exports, "__esModule", { value: true });
exports.hasUserResponseError = void 0;
const sdk_1 = require("@ironfish/sdk");
function hasUserResponseError(error) {
    return (error instanceof sdk_1.RpcRequestError &&
        !!error.response &&
        (0, sdk_1.isRpcResponseUserError)(error.response));
}
exports.hasUserResponseError = hasUserResponseError;
//# sourceMappingURL=rpc.js.map