import { Logger, RawTransaction, RpcClient, TransactionStatus } from '@ironfish/sdk';
export declare function displayTransactionSummary(transaction: RawTransaction, assetId: string, amount: bigint, from: string, to: string, memo: string, logger?: Logger): void;
export declare function watchTransaction(options: {
    client: Pick<RpcClient, 'wallet'>;
    hash: string;
    account?: string;
    confirmations?: number;
    waitUntil?: TransactionStatus;
    pollFrequencyMs?: number;
    logger?: Logger;
}): Promise<void>;
//# sourceMappingURL=transaction.d.ts.map